import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { FlexLayoutModule } from '@angular/flex-layout';

import { AppGroupSectionModule } from '@app/sections/group/group.section.module';

import { AppGroupRoutingPageModule } from './group-routing.page.module';

import { IndexPageComponent } from './components/index.page.component';
import { SidenavPageComponent } from './components/sidenav.page.component';

export const COMPONENTS = [IndexPageComponent, SidenavPageComponent];

export { IndexPageComponent, SidenavPageComponent };

@NgModule({
  imports: [
    CommonModule,
    FlexLayoutModule,
    AppGroupSectionModule,
    AppGroupRoutingPageModule
  ],
  declarations: [...COMPONENTS],
  entryComponents: []
})
export class AppGroupPageModule {}
